Using the o2 (Qt) libraries to access the search api - returns "{"errors":[{"message":"Bad Authentication data","code":215}]}"


#1

Hi - I’m using the o2 library to try to perform a search using the search api “https://api.twitter.com/1.1/search/tweets.json”.

I have generated the API keys for my application.

I set the parameter to ‘q’ (as in q=) with a search string

And I perform a ‘get’

I always get the error in the title.

Is the o1 library compatible with the 1.1 API, or am I just screwing it up somewhere?

Any help would be appreciated.

Thanks